## org.hibernate.testing.async
Class ExecutableAdapter

    java.lang.Object
      org.hibernate.testing.async.ExecutableAdapter

All Implemented Interfaces:
  Runnable

    public class ExecutableAdapter

extends Object
implements Runnable

Nested Class Summary
`static class` `ExecutableAdapter.ExceptionWrapper`

Constructor Summary
`ExecutableAdapter(Executable executable)`

Method Summary
`boolean` `isDone()`
`void` `reThrowAnyErrors()`
`void` `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExecutableAdapter

    public ExecutableAdapter(Executable executable)

Method Detail

### isDone

    public boolean isDone()

### reThrowAnyErrors

    public void reThrowAnyErrors()

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.